openSUSE Security Update : rubygem-actionmailer (openSUSE-SU-2011:1305-1)

This script is Copyright (C) 2014-2016 Tenable Network Security, Inc.


Synopsis :

The remote openSUSE host is missing a security update.

Description :

This update of rails fixes the following security issues :

CVE-2011-2930 - SQL-injection in quote_table_name function via
specially crafted column names (bnc#712062) CVE-2011-2931 - Cross-Site
Scripting (XSS) in the strip_tags helper (bnc#712057) CVE-2011-3186 -
Response Splitting (bnc#712058) CVE-2010-3933 - Arbitrary modification
of records via specially crafted form parameters (bnc#712058)
CVE-2011-0446 - Cross-Site Scripting (XSS) in the mail_to helper
(bnc#668817) CVE-2011-0447 - Improper validation of 'X-Requested-With'
header (bnc#668817) CVE-2011-0448 - SQL-injection caused by improperly
sanitized arguments to the limit function (bnc#668817) CVE-2011-0449 -
Bypass of access restrictions via specially crafted action names
(bnc#668817)

See also :

http://lists.opensuse.org/opensuse-updates/2011-12/msg00004.html
https://bugzilla.novell.com/show_bug.cgi?id=668817
https://bugzilla.novell.com/show_bug.cgi?id=712057
https://bugzilla.novell.com/show_bug.cgi?id=712058
https://bugzilla.novell.com/show_bug.cgi?id=712062

Solution :

Update the affected rubygem-actionmailer packages.

Risk factor :

High / CVSS Base Score : 7.5
(CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P)
CVSS Temporal Score : 5.5
(CVSS2#E:U/RL:OF/RC:C)
Public Exploit Available : false

Family: SuSE Local Security Checks

Nessus Plugin ID: 75730 ()

Bugtraq ID:

CVE ID: CVE-2010-3933
CVE-2011-0446
CVE-2011-0447
CVE-2011-0448
CVE-2011-0449
CVE-2011-2930
CVE-2011-2931
CVE-2011-3186

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now